
header {
  display: flex; 
  flex-direction: column; 
  background-color: var(--background-color);
  border-bottom: var(--border);
  padding: 20px;
  width: 100vw;
  box-sizing: border-box;
}

header ul.inline {
  display: flex;
  justify-content: space-between; 
  align-items: center;
  width: 100%;
  list-style: none;
  padding: 0;
  margin: 0;
}

  .menu-toggle {
    background-color: var(--blue);
    padding: 0.5em 1.2em;
    font-size: 1em;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    text-decoration: none;
    justify-self: center;
  }
  
  .menu {
    display: none; 
    position: absolute; 
    top: 15%; 
    background-color: var(--background-color);
    margin-top: 0;
    grid-template-rows: auto;
    justify-content: center;
    border-radius: 0 0 10px 10px;
    z-index: 1000; 


  }

  .menu.open {
    display: grid;
  }
  
  .menu ul {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: minmax(50px, 1fr);
    list-style: none;
    justify-items: center;
    align-items: center;
  }
  

  .menu li a {
    display: flex;
    flex-direction: column;
        padding: 0.5em 1em;
    border-radius: 6px;
    text-decoration: none;
    text-align: center;
    background-color: var(--background-color); 
  }
  .nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
  }


  .menu li a {
    align-items: center;
    justify-content: center;
    padding: 0.5em;
    text-align: center;
    padding: 0.5em 1em;
    border-radius: 6px;
    text-decoration: none;

}

